# $Id: davical.spec 1268 2012-10-15 05:40:39Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2011 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: A CalDAV Server
Name: davical
Version: 1.1.1
Release: %RErelease 2
License: GPLv2+
Group: Applications/System
URL: http://www.davical.org/
Source0: http://debian.mcmillan.net.nz/packages/%{name}/%{name}-%{version}.tar.gz
Source1: %{name}-apache.conf
Source2: README.redhat
Source3: http://www.inf-it.com/fixes/DAViCal_GIT-latest.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
BuildRequires: php-awl = 0.53
BuildRequires: gettext, php
Requires: perl(DBD::Pg)
Requires: php-awl = 0.53
BuildArch: noarch

%description
The DAViCal CalDAV Server is designed to trivially store
CalDAV calendars, such as those from Evolution, Sunbird/Lightning,
Mulberry, iCal, iPhone or SOHO Organizer, in a central location,
providing shared calendars, free/busy publication and a basic
administration interface.

%prep
%setup -q
%{__install} -m 0644 %{SOURCE2} .
%setup -q -D -T -a 3

%build
%{__cp} -p davical_GIT-latest/readme.txt readme.davical_GIT-latest.txt
%{__cp} -a davical_GIT-latest/davical/inc/* inc/
%{__cp} -a davical_GIT-latest/davical/htdocs/* htdocs/
%{__cp} -a davical_GIT-latest/davical/dba/* dba/
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 0640 -D config/example-config.php ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/config.php
%{__install} -m 0600 -D config/example-administration.yml ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/administration.yml
%{__install} -m 0644 -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/%{name}.conf
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__cp} -a dba htdocs inc locale ${RPM_BUILD_ROOT}%{_datadir}/%{name}
#%{__mv} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/htdocs/.htaccess ${RPM_BUILD_ROOT}%{_datadir}/%{name}/htdocs/htaccess

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
# Attempt to run the database upgrade script with default
# settings, but ignore any possible failure.
%{_datadir}/%{name}/dba/update-davical-database > %{_localstatedir}/log/davical-upgrade.log 2>&1 || :

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING CREDITS TODO VERSION docs/api config/ README.redhat readme.davical_GIT-latest.txt
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%dir %{_sysconfdir}/%{name}/
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%attr(0600,postgres,postgres) %config(noreplace) %{_sysconfdir}/%{name}/administration.yml
%{_datadir}/%{name}

%changelog
* Sat Apr 27 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.1.1-2
- Apply fixes from http://www.inf-it.com/fixes/davical_GIT-latest.tgz.

* Sun Oct 14 2012 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.1.1-1
- Updated to version 1.1.1.

* Tue Jan 24 2012 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0.2-1
- Updated to version 1.0.2.

* Sun Dec 11 2011 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.9.9.7-1
- Updated to version 0.9.9.7.
- Fixes to apache config and ownership of administration.yml.
- Locked php-awl version requirements to davical release.

* Sat Jun 25 2011 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.9.9.4-1
- First build.

